# articulated_vehicles.cpp File Reference

`#include "stdafx.h"`
`#include "openttd.h"`
`#include "articulated_vehicles.h"`
`#include "engine.h"`
`#include "train.h"`
`#include "roadveh.h"`
`#include "newgrf_callbacks.h"`
`#include "newgrf_engine.h"`
`#include "vehicle_func.h"`

Go to the source code of this file.

## Functions

uint | CountArticulatedParts (EngineID engine_type, bool purchase_window)
uint16 * | GetCapacityOfArticulatedParts (EngineID engine, VehicleType type)
void | AddArticulatedParts (Vehicle **vl, VehicleType type)

## Detailed Description

Definition in file articulated_vehicles.cpp.